%global ver 2.3.0
%global ver_dashed %(echo %{ver} | sed 's/\\./_/g')

Name:           munt
Version:        %{ver}
Release:        1%{?dist}
Summary:        A software synthesiser emulating e.g. the Roland MT-32

License:        GPL
URL:            https://github.com/%{name}/%{name}
Source0:        https://github.com/%{name}/%{name}/archive/%{name}_%{ver_dashed}.tar.gz

BuildRequires:  cmake 
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  alsa-lib-devel
BuildRequires:  portaudio-devel
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  qt5-devel
#Requires:       

%description
A multi-platform software synthesiser emulating (currently inaccurately) pre-GM MIDI devices such as the Roland MT-32, CM-32L, CM-64 and LAPC-I.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
Development files for %{name}

%prep
%autosetup -n %{name}-%{name}_%{ver_dashed}


%build
%{cmake} .
%{make_build}


%install
%{make_install}


%files
%license mt32emu/COPYING.txt
%{_datadir}/doc/munt/*
%{_libdir}/libmt32emu.so.2.3.0
%{_libdir}/libmt32emu.so.2
%{_libdir}/libmt32emu.so
%{_bindir}/mt32emu-qt
%{_bindir}/mt32emu-smf2wav

%files devel
%{_includedir}/mt32emu/Types.h
%{_includedir}/mt32emu/config.h
%{_includedir}/mt32emu/SampleRateConverter.h
%{_includedir}/mt32emu/mt32emu.h
%{_includedir}/mt32emu/Synth.h
%{_includedir}/mt32emu/ROMInfo.h
%{_includedir}/mt32emu/globals.h
%{_includedir}/mt32emu/File.h
%{_includedir}/mt32emu/MidiStreamParser.h
%{_includedir}/mt32emu/Enumerations.h
%{_includedir}/mt32emu/FileStream.h
%{_includedir}/mt32emu/c_interface/c_interface.h
%{_includedir}/mt32emu/c_interface/c_types.h
%{_includedir}/mt32emu/c_interface/cpp_interface.h

%changelog
* Sat May 12 2018 spike <spike@fedoraproject.org> 2.3.0-1
- Initial package
